<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\CitiesRepository;
use Illuminate\Http\Request;

class CitiesController extends Controller
{
    private $citiesRepository;

    public function __construct(CitiesRepository $citiesRepository )
    {
        $this->citiesRepository = $citiesRepository;
        $this->middleware(['permission:cities,admin']);
    }

    public function index()
    {
        $rows = $this->citiesRepository->index();
        return view('admin.cities.index', compact('rows'));
    }

    public function store(Request $request)
    {


        $this->validate($request, [
            'title_ar' => 'required',
            'title_en' => 'required'
        ]);
        return $this->citiesRepository->store();
    }


    public function update($id, Request $request)
    {
        $this->validate($request, [
            'title_ar' => 'required',
            'title_en' => 'required'
        ]);

        return $this->citiesRepository->update($id);
    }

    public function destroy($id)
    {

        return $this->citiesRepository->destroy($id);
    }
}
