<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\ContractsRepository;
use Illuminate\Http\Request;

class ContactsOrdersController extends Controller
{
    /**
     * @var ContractsRepository
     */
    private $contractsRepository;

    public function __construct(ContractsRepository $contractsRepository)
    {
        $this->contractsRepository = $contractsRepository;
        $this->middleware(['permission:contacts,admin']);
    }

    public function index()
    {
        $rows = $this->contractsRepository->index();
        $sms_rows = [];
        $status = [
            'new' => 'جديد',
            'paid' => 'مدفوع',
            'foreign_accept' => 'موافقة المكتب الاجنبى',
//        'not_verified' => 'غير موثق',
            'polo' => 'فى البولو',
            'verified' => 'موثق',
            'in_shipping' => 'فى الشحن - إرسال العقود',
            'in_progress' => 'تحت الاجراء',
            'travel' => 'السفر',
            'delivered' => 'تم التوصيل',
            'cancel' => 'ملغي',
        ];

        return view('admin.orders.contracts', compact('rows', 'sms_rows','status'));
    }

    public function adminConvertPolo()
    {
        return $this->contractsRepository->convertPolo();
    }
}
