<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\JobsRepository;
use App\Repositories\Worker\JobTitlesRepository;
use Illuminate\Http\Request;

class JobsController extends Controller
{
    /**
     * @var JobTitlesRepository
     */
    private $jobTitlesRepository;

    public function __construct(JobsRepository $jobTitlesRepository)
    {
        $this->jobTitlesRepository = $jobTitlesRepository;
        $this->middleware(['permission:jobs,admin']);
    }

    public function index()
    {
        $rows = $this->jobTitlesRepository->index();
        return view('admin.jobsTitles.index', compact('rows'));
    }

    public function store(Request $request)
    {


        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);
        return $this->jobTitlesRepository->store();
    }


    public function update($id, Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);

        return $this->jobTitlesRepository->update($id);
    }

    public function destroy($id)
    {

        return $this->jobTitlesRepository->destroy($id);
    }
}
