<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\NewOrdersRepository;
use Illuminate\Http\Request;

class NewOrdersController extends Controller
{
    /**
     * @var NewOrdersRepository
     */
    private $ordersRepository;

    public function __construct(NewOrdersRepository $ordersRepository)
    {
        $this->ordersRepository = $ordersRepository;
        $this->middleware(['permission:admin_new_order,admin']);
    }

    public function index()
    {
        $new_orders = $this->ordersRepository->new_orders();
        $paid_orders = $this->ordersRepository->paid_orders();
        $sms_rows = [];
        return view('admin.new_orders.index', compact('new_orders', 'paid_orders', 'sms_rows'));
    }

    public function adminConvertPaid()
    {
        return $this->ordersRepository->adminConvertPaid();
    }
}
