<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Alert;
use App\Models\Order;
use App\Models\User;
use Illuminate\Http\Request;

class OrderCancelRequestsController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:order_cancel_requests,admin']);
    }

    public function index()
    {
        $rows = Order::where('admin_approve_cancel', '!=', null)->get();
        return view('admin.order_cancel_requests.index', compact('rows'));
    }

    public function adminChangeCancelRequest($status, $order_id)
    {
        $order = Order::findOrFail($order_id);
        if ($status == 'true') {

            $order->office_id;
            $order->status = 'cancel';
            $order->admin_approve_cancel = 'true';
            $order->update();
            $alert = new Alert();
            $alert->user_id = $order->office_id;
            $alert->order_id = $order_id;
            $alert->type = 'Cancel Request';
            $alert->notes = "Admin approve your cancel request";
            $alert->status = 'new';
            $alert->save();
            if ($order->transfer_money_status) {
                $office = User::find($order->office_id);
                $office->wallet += $order->foreign_money;
                $office->update();
                alert('الغاء الطلب', 'تم الغاء الطلب بنجاح وتم اضافه المبلغ المحول الى المكتب الاجنبى فى محفظته ليتم خصمه من الطلب القادم', 'success');
            } else {
                success_toast();
            }
        } else {

            $order->admin_approve_cancel = 'false';
            $order->update();
            $alert = new Alert();
            $alert->user_id = $order->office_id;
            $alert->order_id = $order_id;
            $alert->type = 'Cancel Request';
            $alert->notes = "Admin refused your cancel request";
            $alert->status = 'new';
            $alert->save();
            success_toast();
        }
        return redirect()->back();
    }
}
