<?php

namespace App\Http\Controllers\Admin;

use App\Models\OrderUpdateRequests;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class OrderUpdateRequestsController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:order_update_requests,admin']);
    }

    public function index()
    {
        $rows = OrderUpdateRequests::orderByDesc('id')->paginate(10);
        $status = ['client_send' => 'تم ارسال طلب تحديث', 'foreign_replay' => 'تم رد المكتب الاجنبى', 'admin_translated' => 'تم ترجمة الادمن والارسال'];
        return view('admin.order_update_requests.index', compact('rows', 'status'));
    }

    public function send_admin_translate(Request $request, $id){

        $this->validate($request,[
            'message' => 'required'
        ]);

        $update_request = OrderUpdateRequests::find($id);
        $update_request['message->ar'] = $request->message;
        $update_request['status'] = 'admin_translated';
        $update_request->update();

        return redirect()->route('order_update_requests.index');
    }


    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        OrderUpdateRequests::destroy($id);
        toast('تمت العملية بنجاح', 'success', 'left');

        return redirect()->back();
    }
    public function search_update_request(Request $request)
    {
        $status = ['client_send' => 'تم ارسال طلب تحديث', 'foreign_replay' => 'تم رد المكتب الاجنبى', 'admin_translated' => 'تم ترجمة الادمن والارسال'];
        $rows = OrderUpdateRequests::whereHas('order', function ($q) use ($request){
            $q->where('code','LIKE', "%{$request->search}%");
        })->paginate(10);
        return view('admin.order_update_requests.index', compact('rows', 'status'));    }


}
