<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:setting,admin']);
    }

    public function setting(Request $request)
    {
        $row = Setting::first();
        return view('admin.setting', compact('row'));
    }

    public function setting_update(Request $request, $id)
    {
        $this->validate($request, [
            'about_us_ar' => 'required',
            'about_us_en' => 'required',
            'footer_dec_ar' => 'required',
            'footer_dec_en' => 'required',
            'mobile' => 'required',
            'email' => 'required|email',
            'tax' => 'required',
        ]);

        $setting = Setting::find($id);
        $setting['about_us->ar'] = $request->about_us_ar;
        $setting['about_us->en'] = $request->about_us_en;
        $setting['footer_dec->ar'] = $request->footer_dec_ar;
        $setting['footer_dec->en'] = $request->footer_dec_en;
        $setting['address->ar'] = $request->address_ar;
        $setting['address->en'] = $request->address_en;
        $setting['mobile'] = $request->mobile;
        $setting['email'] = $request->email;
        $setting['twitter'] = $request->twitter;
        $setting['google'] = $request->google;
        $setting['facebook'] = $request->facebook;
        $setting['instagram'] = $request->instagram;
        $setting['tax'] = $request->tax;
        $setting['linkedin'] = $request->linkedin;
        $setting->update();

        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->back();
    }
}
