<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Order;
use Carbon\Carbon;
use Illuminate\Http\Request;

class WarrantyController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:warranty,admin']);
    }

    public function index()
    {
        $rows = Order::where('status', 'delivered')->whereHas('travel', function ($q) {
            $q->whereDate('warranty', '>=', Carbon::now()->toDateString());
        })->latest()->paginate(10);
        return view('admin.orders.warranty', compact('rows'));
    }
}
