<?php

namespace App\Jobs;

use App\Mail\OrderMail;
use App\Models\Messages;
use App\Models\Order;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class SendMessages implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public $order_id;
    public $sending_message;

    public function __construct($order_id, $sending_message)
    {
        $this->order_id = $order_id;
        $this->sending_message = $sending_message;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $order = Order::find($this->order_id);

        Messages::create([
            'message' => $this->sending_message,
            'order_id' => $this->order_id,
            'user_id' => $order->client->id,
            'code' => rand(1111, 9999)]);

        if ($order->follow_type == 'sms' || $order->follow_type == 'both') {
            $client_mobile = $order->client->mobile;
            //ارسال رسالة على الجوال

        }

        if ($order->follow_type == 'email' || $order->follow_type == 'both') {
            $client_email = $order->client->email;
            //ارسال رسالة على البريد الالكترونى
            \Mail::to($client_email)->send(new OrderMail($this->sending_message));
        }
    }
}
