<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OrderWorker extends Model
{

    protected $table = 'order_workers';
    public $timestamps = true;
    protected $fillable = array('order_id', 'address', 'name', 'mobile', 'passport_number', 'passport_start', 'passport_end', 'passport_attachment', 'gender', 'another_mobile', 'name_family_member', 'mobile_family_member', 'address_family_member', 'city_id', 'type', 'nationality_id', 'job_title_id', 'reference_number');

    public function city()
    {
        return $this->belongsTo(City::class, 'city_id');
    }

    public function job_title()
    {
        return $this->belongsTo(JobTitles::class, 'job_title_id');
    }

    public function nationality()
    {
        return $this->belongsTo(Nationality::class, 'nationality_id');
    }

    public function getAnyAttribute($image_name)
    {
        if ($this->attributes[$image_name]) {
            return asset('images/orders/') . '/' . $this->attributes[$image_name];
        }
        return asset('logo.png');
    }


}

