<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{

    protected $table = 'settings';
    public $timestamps = true;
    protected $fillable = array('about_us', 'footer_dec', 'about_us_image', 'twitter', 'google', 'address', 'mobile', 'email','linkedin','instagram','tax');
    protected $casts = ['about_us' => 'json', 'footer_dec' => 'json', 'address' => 'json'];
    public function setAboutUsImageAttribute()
    {
        $file = request()->file('about_us_image');
        $destinationPath = 'images/settings/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['about_us_image'] = $filename;
    }

    public function getAboutUsImageAttribute()
    {
        if ($this->attributes['about_us_image']) {
            return asset('images/settings/') . '/' . $this->attributes['about_us_image'];
        }
        return asset('logo.png');
    }
}
