<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Transfer extends Model
{
    use HasFactory;

    protected $table = 'transfers';
    public $timestamps = true;
    protected $fillable = ['price', 'image', 'order_id', 'office_id', 'foreign_accept', 'code'];

    public function office()
    {
        return $this->belongsTo(User::class, 'office_id');
    }

    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/transfers/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/transfers/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }


}
