<?php

namespace App\Repositories\Admin;

use App\Models\Complaint;
use App\Models\Order;

class ComplaintsRepository
{
    public function index()
    {
        return Complaint::orderByDesc('id')->paginate(10);
    }

    public function show($id)
    {
        return Complaint::findOrFail($id);
    }

    public function adminComplaintsFetch()
    {
        $ids = request()->ids;


        $sms_rows = Complaint::whereIn('id', explode(",", $ids))->get();


        $view = view('admin.complaints.model_complaint_ajax', compact('sms_rows'))->render();


        return response()->json(['html' => $view]);
    }

    public function updateComplaint($status)
    {
        if ($status == 'delete') {
            Complaint::whereIn('id', request()->ids)->delete();
        } else {
            Complaint::whereIn('id', request()->ids)->update([
                'status' => $status
            ]);
        }

        success_toast();
        return redirect()->back();
    }

    public function complaintCode($code)
    {
        return Complaint::where('code', 'LIKE', "%" . $code . "%")->orderByDesc('id')->paginate(10);
    }

    public function store($request)
    {

        $complaint = new Complaint();
        $complaint->order_id = $request['order_id'];
        $complaint->user_id = Order::whereId(request()->order_id)->value('client_id');
        $complaint->status = 'new';
        $complaint->notes = request()->notes;
        $complaint->save();
        $complaint->code = rand(111, 999) . $complaint->id;
        $complaint->save();
        success_toast();
        return redirect()->back();
    }
}
