<?php

namespace App\Repositories\Admin;

use App\Models\Licenses;
use Carbon\Carbon;

class LicencesRepository
{
    public function index()
    {
        return Licenses::orderByDesc('id')->paginate(10);
    }

    public function store($request)
    {

        $request['check_date'] = Carbon::parse(request()->end_licence)->subDays(20);

        Licenses::create($request->all());
        success_toast();
        return redirect()->route('licences.index');
    }

    public function update($id, $request)
    {
        $request['check_date'] = Carbon::parse(request()->end_licence)->subDays(20);

        Licenses::whereId($id)->update($request->except('_token', '_method'));
        success_toast();
        return redirect()->route('licences.index');
    }

    public function destroy($id)
    {
        Licenses::destroy($id);
        success_toast();
        return redirect()->route('licences.index');
    }
}
