<?php

namespace App\Repositories\Admin;

use App\Models\Order;
use App\Repositories\Worker\SendMessagesRepository;

class PoloRepository
{
    public function index()
    {
        $rows = Order::whereIn('status', ['polo', 'verified'])->orderByDesc('id')->paginate(10);
        $verifieds = Order::whereStatus('verified')->orderByDesc('id')->paginate(10);
        $not_verifieds = Order::whereStatus('polo')->orderByDesc('id')->paginate(10);

        $sms_rows = [];
        $status = [
            'new' => 'جديد',
            'paid' => 'مدفوع',
            'foreign_accept' => 'موافقة المكتب الاجنبى',
//        'not_verified' => 'غير موثق',
            'polo' => 'فى البولو',
            'verified' => 'موثق',
            'in_shipping' => 'فى الشحن - إرسال العقود',
            'in_progress' => 'تحت الاجراء',
            'travel' => 'السفر',
            'delivered' => 'تم التوصيل',
            'cancel' => 'ملغي',
        ];


        return view('admin.orders.polo', compact('rows', 'not_verifieds', 'verifieds', 'sms_rows','status'));


    }

    public function adminConvertShipping()
    {


        Order::whereIn('id', request()->ids)->update([
            'status' => 'in_shipping'
        ]);
        $send = new SendMessagesRepository();
        $send->send_sms_order_admin();

        success_toast();

        return redirect()->back();
    }

    public function adminConvertVerified()
    {

        Order::whereIn('id', request()->ids)->update([
            'status' => 'verified'
        ]);
        $send = new SendMessagesRepository();
        $send->send_sms_order_admin();

        success_toast();

        return redirect()->back();
    }
}
