<?php


namespace App\Repositories\Worker;


use App\Models\City;
use App\Models\User;

class UsersRepository
{

    public function login()
    {
        if (\Auth::attempt(['mobile' => request()->mobile, 'password' => request()->password, 'type' => 'saudi', 'status' => 'active'])) {
            $user = \Auth::user();

            toast(\Lang::get('data.youAreLoggedInSuccessfully'), 'success');
            return redirect()->route('worker_home');
        }
        alert(\Lang::get('data.error'), \Lang::get('data.incorrectMobileNumberOrPassword'), 'error');
        return redirect()->back();
    }


    public function new_first_password()
    {
        $user = \Auth::user();
        $user->password = bcrypt(request()->password);
        $user->update();
        toast(\Lang::get('data.passwordChangedSuccessfully'), 'success');
        return redirect()->route('worker_home');
    }

    public function forget_password_check_mobile()
    {
        $user = User::where(['mobile' => request()->mobile, 'type' => 'saudi'])->first();
        if (!$user) {
            alert(\Lang::get('data.error'), \Lang::get('data.thereIsNoEmployeeWithThisNumber'), 'error');
            return redirect()->back();
        }
        \Session::put('mobile', request()->mobile);
        $code = rand('111', '999') . $user->id;
        $user->verification_code = $code;
        $user->update();
        //ارسال رساله كود التاكيد على الجوال

        return view('site.saudi.mobile_confirm');

    }

    public function mobile_confirm()
    {
        $mobile = \Session::get('mobile');
        $user = User::where('mobile', $mobile)->first();
        if ($user->verification_code == request()->verification_code) {
            $user->verification_code = null;
            $user->update();
            return view('site.saudi.change_password');
        }
        toast(\Lang::get('data.codeError'), 'error');
        return redirect()->back();
    }


    public function change_password()
    {
        $mobile = \Session::get('mobile');
        $user = User::where('mobile', $mobile)->first();
        $user->password = bcrypt(request()->password);
        $user->update();
        \Session::forget('mobile');
        toast(\Lang::get('data.passwordChangedSuccessfully'), 'success');
        return redirect()->route('worker_home');
    }

    public function clientInfo($civil_registry)
    {
        if ($civil_registry) {
            $client_check = User::where('civil_registry', $civil_registry)->whereType('client')->first();


            if ($client_check) {
                $cities = City::all();
                $city_select = view('admin.orders.city_select', compact('cities', 'client_check'))->render();
                return response()->json(['value' => 'true', 'client_name' => $client_check->name, 'client_email' => $client_check->email, 'id_number' => $client_check->id_number, 'client_residency_number' => $client_check->client_residency_number, 'city' => $client_check->city, 'another_mobile' => $client_check->another_mobile, 'social_status' => $client_check->social_status, 'area' => $client_check->area, 'family_count' => $client_check->family_count, 'civil_registry' => $client_check->civil_registry, 'client_birthday' => $client_check->client_birthday, 'client_name_english' => $client_check->client_name_english, 'client_mobile' => $client_check->mobile, 'city_id' => $client_check->city_id, 'city_select' => $city_select, 'file_number' => $client_check->file_number]);
            } else {
                return response()->json(['value' => 'false']);
            }
        }


    }


}
