<?php
function success_toast()
{
    return toast(Lang::get('data.success_message'), 'success');
}

function order_status($status)
{
    $status_ar = [
        'new' => 'جديد',
        'paid' => 'مدفوع',
        'foreign_accept' => 'موافقة المكتب الاجنبى',
//        'not_verified' => 'غير موثق',
        'polo' => 'فى البولو',
        'verified' => 'موثق',
        'in_shipping' => 'فى الشحن - إرسال العقود',
        'in_progress' => 'تحت الاجراء',
        'travel' => 'السفر',
        'delivered' => 'تم التوصيل',
        'cancel' => 'ملغي',
    ];
    $status_en = [
        'new' => 'New',
        'paid' => 'Paid',
        'foreign_accept' => 'Foreign office approval',
//        'not_verified' => 'Not verified',
        'polo' => 'Polo',
        'verified' => 'Verified',
        'in_shipping' => 'In shipping',
        'in_progress' => 'In progress',
        'travel' => 'Travel',
        'delivered' => 'Delivered',
        'cancel' => 'Cancel',
    ];
    if (App::getLocale() == 'ar') {
        return $status_ar[$status];
    }
    return $status_en[$status];

}

function order_status_arabic($new_status)
{
    $status = [
        'new' => 'جديد',
        'paid' => 'مدفوع',
        'foreign_accept' => 'موافقة المكتب الاجنبى',
//        'not_verified' => 'غير موثق',
        'polo' => 'فى البولو',
        'verified' => 'موثق',
        'in_shipping' => 'فى الشحن - إرسال العقود',

        'in_progress' => 'تحت الاجراء',
        'travel' => 'السفر',
        'delivered' => 'تم التوصيل',
        'cancel' => 'ملغي',
    ];




    return $status[$new_status];

}

function order_type($type)
{
    $type_ar = [
        'as_requested' => 'حسب المواصقات',
        'given_name' => 'اسم معين',
        'given_service' => 'خدمة معروفة'
    ];
    $type_en = [
        'as_requested' => 'According to specifications',
        'given_name' => 'Given name',
        'given_service' => 'Well known service'
    ];
    if (App::getLocale() == 'ar') {
        return $type_ar[$type];
    }
    return $type_en[$type];

}

function getComplaintStatus($status)
{
    $statuses_ar = [
        'new' => 'مفتوحة',
        'contacted' => 'تم التواصل',
        'closed' => 'مغلقه'
    ];
    $statuses_en = [
        'new' => 'New',
        'contacted' => 'Contacted',
        'closed' => 'Closed'
    ];
    if (App::getLocale() == 'ar') {
        return $statuses_ar[$status];
    }
    return $statuses_en[$status];
}

function process_order_status($key)
{
    $status = [
        'current' => 'ساري',
        'finished' => 'منتهي'
    ];
    return $status[$key];
}

function complaintCount($status)
{
    return \App\Models\Complaint::whereStatus($status)->count();
}

function foreignComplaintCount($status)
{
    return \App\Models\Complaint::whereHas('order', function ($order) {
        $order->where('office_id', \Auth::id());
    })->whereStatus($status)->count();
}

function workerType($id)
{
    $user = \App\Models\User::findOrFail($id);
    if ($user->type == 'client') {
        return 'عميل';
    } elseif ($user->type == 'saudi') {
        return "مكتب سعودي ";

    } else {
        return "مكتب اجنبي";
    }
}

