@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="admin-title-h">
            <img src="{{asset('admin/images/titles/home.svg')}}" alt="">
            <h4>الرئيسية</h4>
        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->


<div class="container">

    <div class="mb-40">
        <div class="title-head">
            <h4>بحث عن طلب معين</h4>
        </div>
        <form action="{{route('index_search')}}" method="get">
            <div class="box-border">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم الطلب</strong></h6>
                            <input name="code" placeholder="رقم الطلب" class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-6" style="margin-bottom: 15px">
                        <div class="input-group">
                            <h6><strong>اسم المكتب</strong></h6>
                            <select name="office_id" class="form-control js-example-basic-single"
                                    style="width: 100%!important;">
                                <option disabled selected>اختر اسم المكتب الاجنبي</option>
                                @foreach($foreign as $user_foreign)
                                    <option value="{{$user_foreign->id}}">{{$user_foreign->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-6" style="margin-bottom: 15px">
                        <div class="input-group">
                            <h6><strong>نوع الطلب</strong></h6>
                            <select name="type" class="form-control js-example-basic-single"
                                    style="width: 100%!important;" id="">
                                <option selected disabled>اختر نوع الطلب</option>
                                @foreach($types as $key => $value)
                                    <option value="{{$key}}">{{$value}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-6" style="margin-bottom: 15px">
                        <div class="input-group">
                            <h6><strong>حالة الطلب</strong></h6>
                            <select name="status" class="form-control js-example-basic-single"
                                    style="width: 100%!important;" id="">
                                <option selected disabled>اختر حالة الطلب</option>
                                @foreach($statuses as $key_status => $value_status)
                                    <option value="{{$key_status}}">{{$value_status}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>من</strong></h6>
                            <input type="date" name="from" class="form-control" placeholder="برجاء ادخال التاريخ">
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>الى</strong></h6>
                            <input type="date" name="to" class="form-control" placeholder="برجاء ادخال التاريخ">
                        </div>
                    </div>

                    <div class="col-sm-6">

                        <div class="input-group">
                            <h6><strong>رقم السجل</strong></h6>
                            <input name="civil_registry" placeholder="رقم السجل" class="form-control">
                        </div>
                    </div>

                    <div class="col-sm-6">

                        <div class="input-group">
                            <h6><strong>اسم صاحب الطلب</strong></h6>
                            <input name="client_name" placeholder="اسم صاحب الطلب" class="form-control">
                        </div>
                    </div>

                    <div class="col-sm-6">

                        <div class="input-group">
                            <h6><strong>اسم العاملة</strong></h6>
                            <input name="worker_name" placeholder="اسم العاملة" class="form-control">
                        </div>
                    </div>

                </div>

                <div class="clearfix"></div>


            </div>
            <div class="col-sm-12 col-md-12 col-lg-12 text-center">
                <button type="submit" class="form-butt">بحث</button>
            </div>
        </form>

    </div>


    <div class="row">
        <div class="col-sm-12 col-md-12 col-lg-6">
            <div class="last-orde-title">
                <h4>المهام والشكاوى</h4>
                <a href="{{route('admin_complaints.index')}}">عرض الكل</a>
            </div>
            <div class="box-border">
                <div class="propl">
                    <a href="#add-complaints" data-toggle="modal" data-target="#add-complaints">إضافة مهمة</a>


                    <div style="margin: 5px" class="table-responsive">
                        @if(\App\Models\Complaint::count() > 0)
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th>رقم الشكوى</th>
                                    <th>مقدم الشكوى</th>
                                    <th>حالتة</th>
                                    <th>الشكوى</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($complaints as $complaint)
                                    <tr>
                                        <td><span class="id-c">{{$complaint->code}}</span></td>
                                        <td>{{$complaint->client->name}}</td>
                                        <td>{{getComplaintStatus($complaint->status)}}</td>
                                        <td>{{$complaint->notes}}</td>
                                    </tr>

                                @endforeach
                                </tbody>
                            </table>
                        @else
                            <h3>{{Lang::get('data.noComplaints')}}</h3>

                        @endif
                    </div>


                    <ul>

                        <li>
                            <span>{{complaintCount('new')}}</span>
                            <span>جديد</span>
                        </li>

                        <li class="c-2">
                            <span>{{complaintCount('contacted')}}</span>
                            <span>تم التواصل</span>
                        </li>

                        <li class="c-3">
                            <span>{{complaintCount('closed')}}</span>
                            <span>مقفلة</span>
                        </li>

                    </ul>


                </div>
            </div>

        </div>


        <div class="col-sm-12 col-md-12 col-lg-6">
            <div class="last-orde-title">
                <h4>اخر التنبيهات</h4>
                <a href="{{route('alerts')}}">عرض الكل</a>
            </div>
            <div class="box-border">
                <div class="table-responsive">

                    @if(\App\Models\Alert::count() > 0)
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>رقم الطلب</th>
                                <th>الإسم</th>
                                <th>حالتة</th>
                                <th>نوع الطلب</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($alerts as $alert)
                                <tr>
                                    <td><span class="id-c">{{$alert->order->code}}</span></td>
                                    <td>{{$alert->user->name}}</td>
                                    <td>{{$alert->status == 'new' ? 'جديد' : 'مغلق'}}</td>
                                    <td>{{$alert->type}}</td>
                                </tr>

                            @endforeach

                            </tbody>
                        </table>
                    @else
                        <h3>لا يوجد تنبيهات </h3>
                    @endif

                </div>
            </div>
        </div>
    </div>
</div>
</div>

<!-- start body content -->


<!-- modal -->
<div class="modal fade" id="add-complaints" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form method="post" action="{{route('admin_complaints.store')}}" class="text-center">
                @csrf
                <div class="modal-header">
                    <h4 class="modal-title"> @lang('data.addComplaint')</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>

                    <ul class="flex-label">
                        <li class="inline modal-h-li item-flex">
                                <span>
                                @lang('data.order_no') :
                                </span>
                            <select name="order_id" id="order" required class="form-control">
                                <option disabled selected>@lang('data.selectOrderNo')</option>
                                @foreach($orders as $order)
                                    <option value="{{$order->id}}">{{$order->code}}</option>
                                @endforeach
                            </select></li>
                        <li id="worker_name" class="inline modal-h-li"></li>
                    </ul>
                </div>
                <div class="modal-body">
                    <h5>@lang('data.complaintNotes')</h5>

                    <textarea name="notes" required cols="30" rows="2"
                              placeholder="@lang('data.complaintNotes')"></textarea>
                    <button type="submit" class="form-butt">@lang('data.send')</button>
                </div>
            </form>

        </div>
    </div>
</div>


@include('admin.controllers.footer')
