<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سند تسلم عاملة \ عامل</title>
    <style>
        * {
            box-sizing: border-box;
            padding: 0;
            margin: 0;
        }

        body {
            direction: rtl;
            padding: 40px;
            text-align: right;
        }

        h3 {
            text-align: center;
            margin-bottom: 20px;
        }

        .item-table {
            margin-bottom: 50px;
        }

        .item-table table {
            width: 100%;
            border-collapse: collapse;
        }

        .item-table table thead th {
            border: 1px solid #000;
            padding: 10px;
        }

        .item-table table tbody td {
            border: 1px solid #000;
            padding: 10px;

        }

        .item-data {

        }

        .item-data-head {
            border: 1px solid #000;
            padding: 20px;
        }

        .item-data-body {
            border: 1px solid #000;
            display: flex;
        }

        .idt {
            padding: 20px;
            flex-grow: 1;
        }

        .idt h4 {
            margin-bottom: 10px;
        }

        .idt:nth-child(1) {
            border-left: 1px solid #000;
            flex-grow: 1;

        }

        .print-button button {
            font-family: tahoma;
            padding: 8px 20px;
            cursor: pointer;
            background: #2196f3;
            color: #fff;
            border: 0;
        }

        @media print {
            .print-button button {
                display: none;
            }

        }
    </style>
</head>
<body>
<div class="print-button">
    <button onclick="window.print()">طباعه</button>
</div>

<h3>سند تسليم عاملة منزلة </h3>
<div class="item-table">
    <table>
        <thead>
        <tr>
            <th style=" width:20%">جهة القدوم</th>
            <th colspan="6">{{$order->travel ? $order->travel->came_from : "لم يتم التحدد بعد"}}</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td style=" width:20%">الرقم التسلسلى للعاملة \ العامل</td>
            {{--            <td colspan="6">{{$order->cv ? $order->cv->reference_number : $order->order_worker->reference_number }}</td>--}}
            <td colspan="6">

                @if($order->cv_id)
                    {{$order->cv->reference_number}}
                @elseif($order->order_worker)
                    {{$order->order_worker->reference_number}}

                @else
                    تم حذف بيانات العاملة
                @endif

            </td>
        </tr>
        <tr>
            <td style=" width:20%">اسم الكفيل</td>
            <td colspan="6">{{$order->client->name}}</td>
        </tr>
        <tr>
            <td style=" width:16.666%">السجل المدني / الإقامة</td>
            <td style=" width:16.666%">{{$order->client->civil_registry}}</td>
            <td style=" width:16.666%">الهاتف / الجوال</td>
            <td style=" width:16.666%">{{$order->client->mobile}}</td>
            <td style=" width:16.666%">المنزل</td>
            <td style=" width:16.666%">{{$order->client->my_city ? $order->client->my_city->title['ar'] : "لم يتم الادخال"}}</td>

        </tr>
        <tr>
            <td style=" width:20%">العنوان</td>
            <td colspan="6">{{$order->area ? $order->client->area : "لم يتم الادخال"}}</td>
        </tr>

        </tbody>
    </table>
</div>
<div class="item-table">
    <table>
        <thead>
        <tr>
            <th style=" width:20%">إسم العامل / العاملة المنزلية</th>

            <th style=" width:30%">

                @if($order->order_worker)
                    {{ $order->order_worker->name }}
                @elseif($order->cv)
                    {{$order->cv->name}}

                @else
                    تم حذف بيانات العاملة
                @endif

            </th>
            <th style=" width:15%">الجنسيه</th>
            <th style=" width:35%">


                @if($order->order_worker)
                    {{ $order->order_worker->nationality ? $order->order_worker->nationality->name['ar'] : 'تم حذف الجنسية' }}
                @elseif($order->cv)
                    {{ $order->cv->nationality ? $order->cv->nationality->name['ar'] :  ' تم حذف الجنسية'}}

                @else
                    تم حذف بيانات العاملة
                @endif


            </th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td style=" width:20%">رقم جواز السفر</td>
            <td colspan="6">{{$order->visa_number}}</td>
        </tr>


        </tbody>
    </table>
</div>
<div class="item-table">
    <table>
        <thead>
        <tr>
            <th colspan="10" style=" width:100%; text-align: center;">تفاصيل الرحلة</th>

        </tr>
        </thead>
        <tbody>
        <tr>
            <td style=" width:10%; text-align: center;">رقم الرحلة</td>
            <td style=" width:10%; text-align: center;">{{$order->travel ? $order->travel->number_flight : "لم تحدد"}}</td>
            <td style=" width:10%; text-align: center;">شركه الطيران</td>
            <td style=" width:10%; text-align: center;">{{$order->travel ? $order->travel->flight_company : "لم تحدد"}}</td>
            <td style=" width:10%; text-align: center;">تاريخ الرحلة</td>
            <td style=" width:10%; text-align: center;">{{$order->travel ? \Carbon\Carbon::parse($order->travel->date_flight)->toDateString() : "لم تحدد"}}</td>
            <td style=" width:10%; text-align: center;">التوقيت</td>
            <td style=" width:10%; text-align: center;">{{$order->travel ? \Carbon\Carbon::parse($order->travel->flight_time)->format('g:i A') : "لم تحدد"}}</td>
            <td style=" width:10%; text-align: center;">مطار الوصول</td>
            <td style=" width:10%; text-align: center;">{{$order->travel ? $order->travel->destination : "لم تحدد"}}</td>

        </tr>


        </tbody>
    </table>
</div>


<div class="item-data">
    <div class="item-data-head" style="margin-bottom: 50px">
        <h5>اقرا انا المستلم {{$order->mandob_name }} </h5>
        <h5>قد استلمت العامل / العاملة المنزليه الموضح بياناته اعلاه وذلك {{\Carbon\Carbon::now()->dayName}}
            الساعه {{\Carbon\Carbon::now()->format('g:i A')}} بتاريخ {{\Carbon\Carbon::now()->toDateString()}}</h5>
        <h5> من السيد / {{$order->client->name}} </h5>
        <h5>وبهذا قد اصبح مكتب هجر للاستقدام كامل المسؤوليه منذ استلامة للخادم / الخادمة </h5>
    </div>
    <div class="item-data-body">
        <div class="idt">
            <h4>مندوب المكتب / الشركة :</h4>
            <h4> الاسم : {{$order->mandob_name}}</h4>
            <h4>رقم الجوال : {{$order->mandob_number}}</h4>
            <h4>التاريخ : {{\Carbon\Carbon::today()->toDateString()}}</h4>
            <h4>التوقيع </h4>
        </div>
        <div class="idt">
            <h4>المستلم :</h4>
            <h4> الاسم : {{$order->client->name}}</h4>
            <h4>رقم الجوال : {{$order->client->mobile}}</h4>
            <h4>التاريخ : {{\Carbon\Carbon::today()->toDateString()}}</h4>
            <h4>التوقيع </h4>
        </div>
    </div>
</div>
</body>
</html>
