@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="admin-title-h">
            <img src="{{asset('admin/images/titles/settings.svg')}}" alt="">
            <h4>تعديل الطلب رقم {{$row->code}}</h4>
        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->


<div class="container">

    <form action="{{route('asRequestedUpdate', $row->id)}}" method="post" enctype="multipart/form-data">
        @csrf
        <div class="mb-40">

            <div class="title-head">
                <h4>تعديل الطلب</h4>
            </div>

            <div class="box-border" style="margin-bottom: 30px">
                <div class="row" style="border: 1px #eee solid;padding-bottom: 30px;
">

                    <div class="col-sm-12">
                        <h3>تحديد المهنه والجنسية</h3>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم التأشيرة</strong></h6>
                            <input type="text" name="visa_number" required
                                   value="{{$row->visa_number}}"
                                   minlength="10" maxlength="10"
                                   class="form-control"
                                   placeholder="رقم التأشيرة">
                            @if ($errors->has('visa_number'))
                                <small class="text-danger">{{ $errors->first('visa_number') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>تاريخ إصدار التأشيرة</strong></h6>
                            <input type="date" name="visa_issue_date" required
                                   value="{{$row->visa_issue_date}}"
                                   minlength="10" maxlength="10"
                                   class="form-control"
                                   placeholder="تاريخ إصدار التأشيرة">
                            @if ($errors->has('visa_issue_date'))
                                <small class="text-danger">{{ $errors->first('visa_issue_date') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>تاريخ إختيار العاملة</strong></h6>
                            <input type="date" name="date_selection" required
                                   value="{{$row->date_selection}}"
                                   minlength="10" maxlength="10"
                                   class="form-control"
                                   placeholder="تاريخ إختيار العاملة">
                            @if ($errors->has('date_selection'))
                                <small class="text-danger">{{ $errors->first('date_selection') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>الجنسية</strong></h6>
                            <select name="nationality_id" onclick="select_cv(0)" required class="form-control"
                                    id="nationality_id">
                                <option disabled selected>يرجي اختيار جنسية</option>
                                @foreach($nationalities as $nationality )
                                    <option
                                        value="{{$nationality->id}}"

                                        {{$row->nationality_id == $nationality->id ? 'selected' : ''}}
                                    >

                                        {{$nationality->name[App::getLocale()]}}</option>
                                @endforeach
                            </select>
                            @if ($errors->has('nationality_id'))
                                <small class="text-danger">{{ $errors->first('nationality_id') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>النوع</strong></h6>


                            <select name="gender" required class="form-control" onclick="select_cv(0)" id="gender">
                                <option
                                    {{$row->gender == 'male' ? 'selected' : ''}} value="male">
                                    ذكر
                                </option>

                                <option
                                    {{$row->gender == 'female' ? 'selected' : ''}}
                                    value="female">
                                    أنثي
                                </option>


                            </select>


                            @if ($errors->has('gender'))
                                <small class="text-danger">{{ $errors->first('gender') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>المهنة</strong></h6>
                            <select name="job_title_id" onclick="select_cv(0)" required class="form-control"
                                    id="job_title_id">
                                <option disabled selected>يرجي اختيار مهنة</option>
                                @foreach($job_titles as $job_title )
                                    <option value="{{$job_title->id}}"
                                        {{$row->job_title_id == $job_title->id ? 'selected' : ''}}
                                    >{{$job_title->name[App::getLocale()]}}</option>
                                @endforeach
                            </select>
                            @if ($errors->has('job_title_id'))
                                <small class="text-danger">{{ $errors->first('job_title_id') }}</small>
                            @endif
                        </div>
                    </div>


                </div>
            </div>


            <div class="box-border" style="margin-bottom: 30px">
                <div id="select_cv">
                    @include('admin.orders.default_cv_render')
                </div>
                <div id="order_cvs">
                    @include('admin.orders.cv_render')
                </div>
            </div>


            <div class="box-border">


                {{--                <div class="row">--}}
                {{--                    <div class="col-sm-12">--}}
                {{--                        <h3>تحديد المكتب</h3>--}}
                {{--                    </div>--}}

                {{--                    <div class="col-sm-6">--}}
                {{--                        <div class="input-group">--}}
                {{--                            <h6><strong>بلد المكتب</strong></h6>--}}
                {{--                            <select name="country_id" required class="form-control" id="country">--}}
                {{--                                <option disabled selected>برجاء اختيار البلد</option>--}}
                {{--                                @foreach($countries as $country)--}}
                {{--                                    <option--}}
                {{--                                        {{$row->office->country->id == $country->id ? 'selected' : ''}} value="{{$country->id}}">{{$country->name[App::getLocale()]}}</option>--}}
                {{--                                @endforeach--}}

                {{--                            </select>--}}

                {{--                            @if ($errors->has('country_id'))--}}
                {{--                                <small class="text-danger">{{ $errors->first('country_id') }}</small>--}}
                {{--                            @endif--}}
                {{--                        </div>--}}
                {{--                    </div>--}}
                {{--                    <div class="col-sm-6">--}}
                {{--                        <div class="input-group">--}}
                {{--                            <h6><strong>المكتب</strong></h6>--}}
                {{--                            <select name="office_id" required class="form-control" id="office">--}}
                {{--                                <option selected disabled> برجاء اختيار البلد أولا</option>--}}
                {{--                                @foreach($offices as $office)--}}
                {{--                                    <option--}}
                {{--                                        value="{{$row->office->id}}" {{$row->office->id == $office->id ? 'selected' : '' }} >--}}

                {{--                                        {{$office->name}}--}}

                {{--                                    </option>--}}
                {{--                                @endforeach--}}
                {{--                            </select>--}}
                {{--                        </div>--}}
                {{--                    </div>--}}

                {{--                </div>--}}


                <div class="row" style="border: 1px #eee solid; margin-top: 30px; margin-bottom: 30px; padding: 15px">

                    <div class="col-sm-12">
                        <div class="title-head">
                            <h3>المرفقات</h3>
                        </div>
                    </div>

                    <div class="col-sm-6 col-md-6 col-lg-6">
                        <div class="drob-upload">
                            <h5>كارت العائلة</h5>
                            <div class="drop-area">
                                <div class="drop-area-body">
                                    <img src="{{asset('site/saudi/images/upload.svg')}}" alt="">
                                    <h6>قم بسحب او إسقاط الملف هنا للتحميل</h6>
                                    <input name="family_card" type="file">
                                </div>
                            </div>
                        </div>
                    </div>


                </div>


                <div class="row">

                    <div class="col-sm-12 col-md-12 col-lg-6">

                        <div class="title-head">
                            <h3>طريقة متابعة الطلب</h3>
                        </div>

                        <div class="item-check">
                            <div class="form-check form-check-inline">
                                <label class="form-check-label" for="inlineCheckbox1">كلاهما</label>
                                <input class="form-check-input" type="radio" name="follow_type" id="inlineCheckbox1"
                                       {{$row->follow_type == 'both' ? 'checked' : ''}}
                                       value="both">
                            </div>

                            <div class="form-check form-check-inline">
                                <label class="form-check-label" for="inlineCheckbox2">E - Mail</label>
                                <input class="form-check-input" type="radio" name="follow_type" id="inlineCheckbox2"
                                       {{$row->follow_type == 'email' ? 'checked' : ''}}
                                       value="email">
                            </div>
                            <div class="form-check form-check-inline">
                                <label class="form-check-label" for="inlineCheckbox2">SMS</label>
                                <input class="form-check-input" type="radio" name="follow_type" id="inlineCheckbox2"
                                       {{$row->follow_type == 'sms' ? 'checked' : ''}}

                                       value="sms">
                            </div>
                        </div>

                    </div>

                    <div class="col-sm-12 col-md-12 col-lg-6">
                        <div class="drob-upload">
                            <div class="drop-area">
                                <div class="drop-area-body">
                                    <img src="{{asset('site/saudi/images/uplo-t.svg')}}" alt="">
                                    <h6>قم بسحب او إسقاط الملف هنا للتحميل</h6>
                                    <input name="client_sign" type="file">
                                    @if ($errors->has('client_sign'))
                                        <small class="text-danger">{{ $errors->first('client_sign') }}</small>
                                    @endif
                                </div>
                            </div>
                            <h5>توقيع العميل</h5>
                        </div>
                    </div>
                </div>


            </div>


        </div>


        <div class="clearfix"></div>
        <div class="col-sm-12 col-md-12 col-lg-12">
            <button type="submit" class="form-butt">تعديل</button>
        </div>

    </form>

</div>


<!-- start body content -->

@section('script')

    <script>

        function select_cv(id) {

            console.log(id);

            if (id != 0) {
                $.ajax({
                    type: 'GET',
                    url: '{{route('select_cv')}}',
                    data: {cv_id: id},

                    success: function (data) {
                        $("#select_cv").html(data.html);
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        errorFunction();
                    }
                });
            }

            var nationality_id = $('#nationality_id').val()
            var job_title_id = $('#job_title_id').val()
            var gender = $('#gender').val()
            if (id == 0) {
                var id_cv = $('#order_cv_id').val()
            }else {
                var id_cv = id;
                console.log(id_cv)
            }
            $.ajax({
                type: 'GET',
                url: '{{route('ajax_order_cvs')}}',
                data: {nationality_id: nationality_id, job_title_id: job_title_id, gender: gender, cv_id: id_cv},

                success: function (data) {
                    console.log(data)
                    $("#order_cvs").html(data.html_cvs);
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    errorFunction();
                }
            });

        }

    </script>

@endsection

@include('admin.controllers.footer')
