@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="title-search">
            <div class="admin-title-h">
                <i class="fa fa-image"></i>
                <h4>حوالات المكاتب الأجنبية</h4>
            </div>

        </div>
    </div>
</div>
    <div class="container mb-60 mt-30">
        <form method="get" action="{{route('transfer_filter')}}">

        <div class="row">
            <div class="col-sm-12">
                <div class="input-group">
                    <h6><strong>إسم المكتب</strong></h6>
                    <select  name="office_id" class="form-control">
                        <option selected disabled> يمكنكم إختيار المكتب</option>
                        @foreach($offices as $office)

                            <option value="{{$office->id}}"> {{$office->name}} </option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="input-group">
                    <h6><strong>التاريخ من</strong></h6>
                    <input type="date" name="date_from" class="form-control" placeholder="التاريخ من">
                </div>
            </div>
            <div class="col-sm-6">
                <div class="input-group">
                    <h6><strong>التاريخ إلى</strong></h6>
                    <input type="date" name="date_to" class="form-control" placeholder="التاريخ إلى">
                </div>
            </div>


            <div class="clearfix"></div>
            <button type="submit" class="btn btn-success">بحث</button>


        </div>

        </form>

        <div class="taps-contant" id="tap1">

            <div class="table-responsive">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th scope="col">الرقم المرجعي للحوالة</th>
                        <th scope="col">إسم المكتب</th>
                        <th scope="col">الرقم المرجعي للطلب</th>
                        <th scope="col">المبلغ المحول</th>
                        <th scope="col">تاريخ التحويل</th>
                        <th scope="col">وقت التحويل</th>
                        <th scope="col">تأكيد المكتب</th>
                        <th scope="col">
                            التحكم
                        </th>


                    </tr>
                    </thead>
                    <tbody>

                    @foreach($rows as $row)
                        <tr>
                            <td>{{$row->code}}</td>
                            <td>{{$row->office->name}}</td>
                            <td>

                            <a style="color: blue" href="{{route('order',$row->order_id)}}">
                                {{$row->order->code}}
                            </a>



                            </td>
                            <td>{{$row->price}}</td>
                            <td>{{\Carbon\Carbon::parse($row->created_at)->toDateString()}}</td>
                            <td>{{\Carbon\Carbon::parse($row->created_at)->format('g:i A')}}</td>
                            <td>{{$row->foreign_accept == 'true'  ? "تم تأكيد التحويل" : "لم يتم التأكيد بنجاح"}}</td>


                            <td>

                                <button style="margin:5px" class="btn btn-success" data-toggle="modal"
                                        data-target="#show{{$row->id}}">عرض
                                    المرفق
                                </button>
                                <div class="modal fade" id="show{{$row->id}}" tabindex="-1" role="dialog"
                                     aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-w" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">عرض المرفق</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">


                                                <img class="wd-100" src="{{$row->image}}" alt="">
                                            </div>


                                        </div>
                                    </div>
                                </div>


                                <button style="margin:5px" type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>

                                <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                     aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title"
                                                    id="myModalLabel">حذف العنصر</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">×
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <h5 class="font-16">هل تريد الحذف ؟</h5>

                                            </div>
                                            <div class="modal-footer">

                                                <form method="post" enctype="multipart/form-data"
                                                      action="{{route('transfers.destroy',$row->id)}}">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="button" class="btn btn-light waves-effect"
                                                            data-dismiss="modal">إلغاء
                                                    </button>
                                                    <button type="submit"
                                                            class="btn btn-danger waves-effect waves-light">حذف
                                                    </button>
                                                </form>


                                            </div>
                                        </div><!-- /.modal-content -->
                                    </div><!-- /.modal-dialog -->
                                </div><!-- /.modal -->


                            </td>

                        </tr>
                    @endforeach
                    </tbody>
                </table>
                {{$rows->links()}}

            </div>
        </div>


    </div>



<!-- start body content -->

@include('admin.controllers.footer')



