@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="admin-title-h">
            <img src="{{asset('admin/images/titles/users.svg')}}" alt="">
            <h4>تعديل الموظف</h4>
        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->


<div class="container">

    <form action="{{route('workers.update', $row->id)}}" method="post" enctype="multipart/form-data">
        @csrf
        @method('PATCH')
        <div class="mb-40">
            <div class="title-head">
                <h4>تعديل الموظف</h4>
            </div>
            <div class="box-border">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>الاسم</strong></h6>
                            <input name="name" type="text" class="form-control" value="{{$row->name}}" id="">
                        </div>
                        @if ($errors->has('name'))
                            <small class="text-danger">{{ $errors->first('name') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>البريد الالكترونى</strong></h6>
                            <input name="email" type="email" class="form-control" value="{{$row->email}}" id="">
                        </div>
                        @if ($errors->has('email'))
                            <small class="text-danger">{{ $errors->first('email') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم الجوال</strong></h6>
                            <input name="mobile" type="text" class="form-control" value="{{$row->mobile}}" id="">
                        </div>
                        @if ($errors->has('mobile'))
                            <small class="text-danger">{{ $errors->first('mobile') }}</small>
                        @endif
                    </div>


                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>المدينة</strong></h6>
                            <input name="city" type="text" class="form-control" value="{{$row->city}}" id="">
                        </div>
                        @if ($errors->has('city'))
                            <small class="text-danger">{{ $errors->first('city') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>المنطقه</strong></h6>
                            <input name="area" type="text" class="form-control" value="{{$row->area}}" id="">
                        </div>
                        @if ($errors->has('area'))
                            <small class="text-danger">{{ $errors->first('area') }}</small>
                        @endif
                    </div>


                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>كلمة المرور</strong></h6>
                            <input name="password" type="password" class="form-control" value="{{old('password')}}"
                                   id="">
                        </div>
                        @if ($errors->has('password'))
                            <small class="text-danger">{{ $errors->first('password') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-12">
                        <div class="input-group">
                            <h6><strong>الحالة</strong></h6>
                            <select name="status" class="form-control" id="">
                                <option {{$row->status == 'active' ? 'selected' : ''}}  value="active">مفعل</option>
                                <option {{$row->status == 'not_active' ? 'selected' : ''}} value="not_active">غير مفعل
                                </option>
                            </select>
                        </div>
                        @if ($errors->has('status'))
                            <small class="text-danger">{{ $errors->first('status') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-12" style="margin-top: 30px">
                        <div class="input-group">

                            <label for="exampleSelect1" style="margin-bottom: 15px; font-size: 20px">الصلاحيات</label>
                            <div class="row">
                                @foreach(\Spatie\Permission\Models\Permission::all() as $permission)
                                    <div class="custom-control col-md-3" style="margin-bottom: 15px">
                                        <input name="permissions[]" type="checkbox"
                                               @if($row->getAllPermissions()->contains($permission->id)) checked
                                               @endif value="{{$permission->name}}">
                                        <label>{{$permission->title}}</label>
                                    </div>

                                @endforeach
                            </div>
                        </div>

                        @if ($errors->has('permissions'))
                            <small class="text-danger">{{ $errors->first('permissions') }}</small>
                        @endif
                    </div>

                </div>


                <div class="clearfix"></div>


            </div>
            <div class="col-sm-12 col-md-12 col-lg-12">
                <button type="submit" class="form-butt">تعديل</button>
            </div>
        </div>
    </form>


</div>

<!-- start body content -->

@include('admin.controllers.footer')
