@include('site.client.controllers.upper-header')
@include('site.client.controllers.header')

<nav aria-label="breadcrumb" class="breadcrumb">
    <div class="container">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"><a href="{{route('client_home')}}">@lang('data.home')</a></li>
            <li class="breadcrumb-item active" aria-current="page">@lang('site.notifications')</li>
        </ol>
    </div>
</nav>
<div class="container m-h-50 mb-60">
    <section class="notifications">

        @foreach($rows as $row)

            <a href="#">
                <div class="row notifications-card type-2 mt-20">
                    <div class="col-sm-4">
                        <article>
                            <h5 class="my-0 color-black d-flex"><span class="alert-dot"></span><strong>@lang('data.alert_no')
                                    : </strong><span class="px-10">{{$row->id}}</span></h5>
                        </article>
                    </div>
                    <div class="col-sm-4">
                        <article>
                            <h5 class="my-0 color-black d-flex"><strong>@lang('data.alert_status') : </strong><span
                                    class="px-10">{{$row->status == 'new' ? Lang::get('data.new') : Lang::get('data.closed')}}</span></h5>
                        </article>
                    </div>
                    <div class="col-sm-4">
                        <article>
                            <h5 class="my-0 color-black d-flex"><strong>@lang('data.order_no'): </strong><span
                                    class="px-10">{{$row->order->code}}</span></h5>
                        </article>
                    </div>
                </div>
            </a>

        @endforeach
    </section>
    <hr class="mt-20 mb-20">
    <section>
        <div class="container px-0">
            <h3 class="mb-20"><span class="plus-icon">+</span><strong>@lang('data.addAlert')</strong></h3>
            <div class="row bordered">
                <form action="{{route('store_alert')}}" method="POST">
                    @csrf
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>@lang('data.order_no')</strong></h6>
                            <select name="order_id" class="form-control" id="exampleSelect1">
                                @foreach($orders as $order)
                                    <option
                                        {{old('order_id') == $order->id ? 'selected' : ''}}   value="{{$order->id}}">
                                        {{$order->code}}
                                    </option>
                                @endforeach
                            </select>
                            @if ($errors->has('order_id'))
                                <small class="text-danger">{{ $errors->first('order_id') }}</small>
                            @endif
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>@lang('data.alertType')</strong></h6>
                            <input type="text" name="type" class="form-control" value="{{old('type')}}"
                                   placeholder="@lang('data.alertTypePlaceholder')">
                            @if ($errors->has('type'))
                                <small class="text-danger">{{ $errors->first('type') }}</small>
                            @endif
                        </div><!-- /input-group -->
                    </div>
                    <div class="col-sm-12">
                        <h6><strong>@lang('data.notes')</strong></h6>
                        <textarea name="notes" cols="10" rows="5">{{old('notes')}}</textarea>
                        @if ($errors->has('notes'))
                            <small class="text-danger">{{ $errors->first('notes') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-12 text-center">
                        <button type="submit" class="btn btn-primary mt-20 mb-20 radius-20">@lang('data.send')</button>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>
@include('site.client.controllers.footer')
