@include('site.client.controllers.upper-header')
@include('site.client.controllers.header')

<nav aria-label="breadcrumb" class="breadcrumb">
    <div class="container">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"><a href="{{route('client_home')}}">@lang('data.home')</a></li>
            <li class="breadcrumb-item active" aria-current="page">@lang('data.profile')</li>
        </ol>
    </div>
</nav>
<div class="setting-account">
    <div class="container">
        <form action="{{route('update_profile')}}" method="POST">
            @csrf
            <div class="row bordered mt-30">
                <div class="col-sm-6">
                    <div class="input-group">
                        <h6><strong>@lang('data.name')</strong></h6>
                        <input name="name" value="{{Auth::user()->name}}" type="text" class="form-control" placeholder="@lang('data.namePlaceholder')">
                        @if ($errors->has('name'))
                            <small class="text-danger">{{ $errors->first('name') }}</small>
                        @endif
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="input-group">
                        <h6><strong>@lang('data.mobile')</strong></h6>
                        <input name="mobile" value="{{Auth::user()->mobile}}" type="text" class="form-control" placeholder="@lang('data.mobile')">
                        @if ($errors->has('mobile'))
                            <small class="text-danger">{{ $errors->first('mobile') }}</small>
                        @endif
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="input-group">
                        <h6><strong>@lang('data.email')</strong></h6>
                        <input name="email" value="{{Auth::user()->email}}" type="text" class="form-control"
                               placeholder="@lang('data.email')">
                        @if ($errors->has('email'))
                            <small class="text-danger">{{ $errors->first('email') }}</small>
                        @endif
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="input-group">
                        <h6><strong>@lang('data.password')</strong></h6>
                        <input name="password" type="password" class="form-control" placeholder="@lang('data.password')">
                        @if ($errors->has('password'))
                            <small class="text-danger">{{ $errors->first('password') }}</small>
                        @endif
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12 text-center mt-30 mb-20">
                    <button type="submit" class="btn btn-primary mt-20 mb-20 radius-20">@lang('data.save')</button>
                </div>
            </div>
        </form>
    </div>
</div>
@include('site.client.controllers.footer')
