@include('site.foreign.controllers.upper-header')
@include('site.foreign.controllers.header')


<nav aria-label="breadcrumb" class="breadcrumb">

    <div class="container">
        <div class="c-item-search">
            <ol class="breadcrumb mb-0 inline">
                <li class="breadcrumb-item"><a href="{{route('foreign_home')}}">@lang('data.home')</a></li>
                <li class="breadcrumb-item active" aria-current="page">@lang('data.alerts')</li>
            </ol>

            <div class="item-add-ser">

                <div class="search-bar">
                    <input name="alert_id" id="alert_id" type="text" placeholder="@lang('data.searchByAlert')">
                    <button id="searchAlert"><img src="{{asset('site/saudi/images/s-search.svg')}}" alt=""></button>
                </div>
            </div>
        </div>
    </div>
</nav>

<div class="container mb-60 mt-30" id="alertsResults">

    @forelse($rows as $row)
        <div class="bordered mt-30">
            <div class="row">
                <div class="col-md-3 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>@lang('data.alertNumber')</strong></h5>
                        <p><small>{{$row->id}}</small></p>
                    </article>
                </div>
                <div class="col-md-3 col-sm-6 col-xs-6 mb-20">
                    <article class="green-complain">
                        <h5><strong>@lang('data.worker_name')</strong></h5>
                        <small>{{$row->order->cv_id ? $row->order->cv->name : $row->order->order_worker->name}}</small>
                    </article>
                </div>
                <div class="col-md-3 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>@lang('data.alert_status')</strong></h5>
                        <p><small>{{$row->status == 'new' ? Lang::get('data.new') : Lang::get('data.closed')}}</small>
                        </p>
                    </article>
                </div>
                <div class="col-md-3 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>@lang('data.orderType')</strong></h5>
                        <p><small>{{$row->type}}</small></p>
                    </article>
                </div>


                <div class="col-sm-12">
                    <article>
                        <h5 class="blue-complain"><strong>@lang('data.notes')</strong></h5>
                        <p class="bordered"><small>{{$row->notes}} </small></p>
                    </article>
                </div>

                @if($row->status == 'new')
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <a href="{{route('close_alert',$row->id)}}">
                            <button class="btn btn-primary mt-20 mb-20 radius-20">@lang('data.closeAlert')</button>

                        </a>
                    </div>
                @endif

            </div>
        </div>
    @empty
        <h3>{{Lang::get('data.noAlerts')}}</h3>

    @endforelse
</div>
@include('site.foreign.controllers.footer')
